//######################################################################
// PlayFms Copyright (c) Achraf cherti 2001
// Player de FMS sous dos pour ligne de commande.
//
// Email:  Achrafcherti@hotmail.com
// FmSong: http://fmsong.cjb.net
//######################################################################

#include <unistd.h>     // __file_exists()
#include <stdio.h>      // Standart Input Output

#include "mystring.h"   // Librairie avance de gestion de touches Clavier
#include "fmlib.h"      // Librairie FmLib++

int main(int argc,char *argv[])
{
char loop=0;
char ret;
char k=0;
FMS musique;    //notre musique

printf("PlayFms version 1.2, Copyright (c) Achraf cherti 2001\n\n");

if(fmsonginit())    
      {
        printf("Erreur de detection de la carte FM...\n");
        exit(-1);
     }

if(argc<2)
{
                printf(
"Syntaxe: Playfms.exe [lect:][chemin]fichier.fms [option]

[lect:][chemin]fichier.fms  Spcifie le nom de fichier FMS  jouer.
[option]:
                            -loop    La musique est joue en loop
");

                return 1;
}

//Chargement des options
if(argc>2)
{
        lcase(argv[2]);
        if(strcmp(argv[2],"-loop")==0)
        {
                loop=1;
        }
        else
        {
                printf("L'option \"%s\" est invalide...\n",argv[2]);
                return 1;
        }
}


printf("Chargement du FMS...     ");

//Charge le Fms
ret = loadfms(&musique,argv[1]);
if(ret!=0)
{
        textcolor(15);
        cprintf("[ ERROR ]");
        textcolor(7);
        printf("\nErreur dans le fichier \"%s\", %s...\n",argv[1],loadfms_error[ret]);
        return 1;
}

textcolor(15);
cprintf("[ OK ]");
textcolor(7);
CRLF();

printf("Joue le Fms...");

playfms(&musique,loop);    //play sans loop

do
 {

      k = inkey();
      ret = loopfms();  //retourne le code

 }
 while(!(k==27 || ret==FMS_STOP));

CRLF();

stopfms();          //stoppe le fms
freefms(&musique);  //Desallocation mmoire
fmsongclose();      //ferme la librairie FmLib
return 0;

}
